<?php
date_default_timezone_set('America/Lima');
class cNotaalmacen{
	function insertar($fec,$numdoc,$tip,$notalmtip_id,$des,$alm_id,$usu_id,$emp_id, $res, $area,$docrel){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_notaalmacen(
		tb_notaalmacen_reg ,
		tb_notaalmacen_fec ,
		tb_notaalmacen_numdoc ,
		tb_notaalmacen_tip ,
		tb_notaalmacentipo_id ,
		tb_notaalmacen_des ,
		tb_almacen_id ,
		tb_usuario_id ,
		tb_empresa_id,
		tb_notaalmacen_res,
		tb_notaalmacen_area,
		tb_notaalmacen_docrel
		)
		VALUES (
		'$now','$fec','$numdoc',  '$tip',  '$notalmtip_id',  '$des', '$alm_id',  '$usu_id',  '$emp_id', '$res', '$area','$docrel'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "SELECT MAX(tb_notaalmacen_id) as 'id' from tb_notaalmacen "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
	function insertar_detalle($cat_id,$mar_id,$can,$preven,$fecven,$notalm_id){
		$sql = "INSERT INTO tb_notaalmacendetalle (
		`tb_catalogo_id`, 
		`tb_marca_id`, 
		`tb_notaalmacendetalle_can`, 
		`tb_notaalmacendetalle_preven`, 
		`tb_notaalmacendetalle_fecven`, 
		`tb_notaalmacen_id`
		) VALUES ('$cat_id','$mar_id', '$can', '$preven','$fecven', '$notalm_id');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function filtrar($fec1,$fec2,$alm_id,$tip,$emp_id){
		$sql="SELECT *
		FROM tb_notaalmacen na
		INNER JOIN tb_almacen a ON na.tb_almacen_id=a.tb_almacen_id
		INNER JOIN tb_notaalmacentipo t ON na.tb_notaalmacentipo_id = t.tb_notaalmacentipo_id
		WHERE tb_notaalmacen_xac=1
		AND na.tb_empresa_id = $emp_id 
		AND tb_notaalmacen_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($alm_id>0)$sql.=" AND na.tb_almacen_id = $alm_id ";
		if($tip!="")$sql.=" AND tb_notaalmacen_tip = '$tip' ";		
		$sql.=" ORDER BY tb_notaalmacen_numdoc desc ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_notaalmacen t
		INNER JOIN tb_almacen a ON t.tb_almacen_id=a.tb_almacen_id
		INNER JOIN tb_notaalmacentipo nat ON nat.tb_notaalmacentipo_id=t.tb_notaalmacentipo_id
		WHERE tb_notaalmacen_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_notaalmacen_detalle($notalm_id){
		$sql="SELECT * 
		FROM tb_notaalmacendetalle na
		LEFT JOIN tb_catalogo ct ON na.tb_catalogo_id = ct.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = pro.tb_presentacion_id
		INNER JOIN tb_marca m ON na.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id = u.tb_unidad_id
		WHERE na.tb_notaalmacen_id= '$notalm_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id, $des)
	{
		$sql = "UPDATE tb_notaalmacen SET
		tb_notaalmacen_des =  '$des' 
		WHERE  tb_notaalmacen_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function complete_area($dato)
	{
		$sql="SELECT * FROM tb_notaalmacen
			WHERE tb_notaalmacen_area LIKE '%$dato%'
			group by tb_notaalmacen_area";	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	
	
}
?>